Synswi
  1. Transactions
Synswi
  • Guides
    • Getting Started With the API
  • API Reference
    • Accounts
      • Onboarding forms
        • Create a Onboarding Form
      • Get profile
      • Create new profile
      • Register webhook
      • Get Accounts
    • Account Setting
      • Get account setting
      • Update account setting
    • Devices
      • Get Devices
    • Dispute
      • Get disputes
    • Payment instruments
      • Create a payment instrument
      • Get payment instruments
      • Get a payment instrument by id
      • Create a Payment Instrument
    • Transactions
      • Get a transaction by id
        GET
      • Get transactions
        GET
      • Create a transaction
        POST
      • Update a transaction
        POST
      • Refund a transaction
        POST
    • Fees
      • Get current fee profile
    • Settlements
      • get settlements
      • get settlement entries
    • Identity
      • Register an user
      • Login
      • Validate Token
      • Create an api key
      • List api keys
      • Get Users
    • Programs
      • Accounts
    • Permission
      • Verify user permissions
      • Get Account Users
      • List Accounts
    • Events
      • Get Events
  • Schemas
    • Additional Purchase Data
    • MFAMethod
    • MFASetupRequest
    • GetCurrentUserResponse
    • MFAVerifyRequest
    • MFASwitchMethodRequest
    • TokenInvalidErrorResponse
    • MFADisableRequest
    • TokenExpiredErrorResponse
    • MFAResendRequest
    • MFASetupEmailResponse
    • MFASetupAuthenticatorResponse
    • MFAVerifySetupResponse
    • MFASwitchResponse
    • MFALoginVerifyResponse
    • MFADisableInitResponse
    • MFAVerifyDisableResponse
    • MFAResendResponse
    • ErrorResponse
    • ValidationErrorResponse
    • InvalidPasswordErrorResponse
    • UserNotFoundErrorResponse
    • MFAAlreadyEnabledErrorResponse
    • MFANotEnabledErrorResponse
    • MFAMethodNotEnabledErrorResponse
    • MFATokenInvalidErrorResponse
    • MFATokenExpiredErrorResponse
    • MFAWrongPurposeErrorResponse
    • InvalidMFACodeErrorResponse
    • TooManyMFAAttemptsErrorResponse
    • TooManyMFAEmailsErrorResponse
    • AuthenticatorNotConfiguredErrorResponse
    • InvalidMFAMethodErrorResponse
    • ResendOnlyForEmailErrorResponse
    • MaxResendLimitErrorResponse
    • ResendCooldownErrorResponse
  1. Transactions

Create a transaction

POST
https://api-dev.synswi.com/transactions

Request

Authorization
Provide your bearer token in the
Authorization
header when making requests to protected resources.
Example:
Authorization: Bearer ********************
Body Params application/json

Examples
{
    "amount": 2060,
    "paymentInstrumentId": "payment-instrument-eb769f34-b952-4ea0-ae4e-4666c1737995",
    "accountId": "{{accountId}}",
    "type": "pull",
    "method": "card",
    "channel": "online",
    "referenceId": "12113ff9daddda1dsx314d33"
}

Responses

🟢200Success
application/json
Body

Example
{
    "id": "transaction-98a14246-1ca7-4e4f-ac6b-b19a540580f8",
    "accountId": "acc-c068c34e-b12d-48b1-bc5f-c85edae9fc9b",
    "amount": 200,
    "channel": "online",
    "createdAt": "2025-01-15T01:59:14.793Z",
    "currency": "USD",
    "method": "card",
    "paymentInstrumentId": "payment-instrument-7ca318bc-e84c-4c02-a1da-d520a05a8f68",
    "referenceId": "12113ff9a1131433",
    "status": "succeeded",
    "statusReason": "transaction succeeded",
    "type": "pull"
}
Previous
Get transactions
Next
Update a transaction
Built with